# $Revision: 1.37 $, $Date: 2011/03/28 12:20:03 $
# TODO
# - package -DSTATEDIR=/var/lib/mod_watch ?
%define		mod_name	watch
%define 	apxs		/usr/sbin/apxs
%include	/usr/lib/rpm/macros.perl
Summary:	Apache module: Monitoring Interface for MRTG
Summary(pl.UTF-8):	Moduł do apache: Interfejs do monitorowania za pomocą MRTG
Name:		apache-mod_%{mod_name}
Version:	4.03
Release:	8
License:	BSD
Group:		Networking/Daemons/HTTP
Source0:	http://www.snert.com/Software/download/mod_watch%(echo %{version} | tr -d .).tgz
# Source0-md5:	06d57713adb935f16596d22256bca913
Source1:	%{name}.conf
Patch0:		%{name}-apr-fix.patch
Patch1:		%{name}-shm-fix.patch
Patch2:		%{name}-mutex.patch
URL:		http://www.snert.com/Software/mod_watch/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
This module will watch and collect the bytes, requests, and documents
in & out per virtual host, file owner, remote IP address, directory or
location, and the web server as a whole. This module was designed for
use with MRTG, which will make nice graphical representations of the
data, but is general enough that it can be applied to other purposes,
as the raw data is accessed by a URL. This module supports
mod_vhost_alias and mod_gzip.

%description -l pl.UTF-8
Ten moduł kontroluje i zbiera informacje na temat ilości przesłanych
bajtów (przychodzących i wychodzących) wg. serwera wirtualnego,
właściciela plików, zdalnego adresu IP, katalogu lub lokacji oraz
serwera jako całości. Moduł został zaprojektowany do pracy z MRTG,
dzięki czemu otrzymamy ładną, graficzną reprezentacje danych. Moduł
wspiera mod_vhost_alias oraz mod_gzip.

%prep
%setup -q -n mod_%{mod_name}-4.3
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -f Makefile.dso build \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_bindir},%{_sysconfdir}}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install apache2mrtg.pl mod_watch.pl $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/99_mod_watch.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES* *html *.txt Contrib nfields.pl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_watch.spec,v $
Revision 1.37  2011/03/28 12:20:03  baggins
- rel 8
- configurable shm mutex mech to solve interoperability problems with mod_ruid2

Revision 1.36  2011/03/10 18:30:18  baggins
- rel 7
- fix for "Internal error: shGetLockedEntry", see http://ovcharov.me/2009/09/01/kak-pochinit-mod_watch/

Revision 1.35  2009/02/03 08:25:56  glen
- no httpd.conf dir provided in th; rel 6

Revision 1.34  2008/10/25 15:50:03  blues
- HTTP group

Revision 1.33  2007/12/09 10:42:24  glen
- apache-apxs -> %{apxs} in BR

Revision 1.32  2007-06-07 10:54:33  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.31  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.29  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.28  2006/01/30 17:39:10  glen
- use %service

Revision 1.27  2005/12/27 01:20:11  glen
- unified

Revision 1.26  2005/12/22 00:05:52  glen
- rel 5 (rebuild with new apache)

Revision 1.25  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.24  2005/07/02 14:14:49  qboosh
- sorted verify() flags, unified IP caps

Revision 1.23  2005/07/02 12:06:15  gotar
- %config and %verify flags for config file

Revision 1.22  2005/06/05 00:55:45  zbyniu
- BR: rpm-perlprov

Revision 1.21  2004/11/20 19:19:00  qboosh
- with patch it needs apr1-based apache

Revision 1.20  2004/11/20 17:47:10  heretyk
- fixed to work with apr >= 1.0
- release 4, STBR

Revision 1.19  2004/10/29 09:02:00  paladine
- "HTTP" unification

Revision 1.18  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.17  2004/09/06 18:28:56  radek
- release 2: fixed config file location

Revision 1.16  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.15  2004/09/05 16:55:04  radek
- fixed md5 and build/installation process

Revision 1.14  2004/09/05 16:44:49  radek
- version 4.03 for apache2, some unifications

Revision 1.13  2003/08/06 16:12:42  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.12  2003/05/28 13:54:49  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.11  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.8  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.7  2002/08/30 18:55:28  radek
- missing html file, example config; release 3

Revision 1.6  2002/08/30 10:21:05  radek
- release up, better IPv6 workaround

Revision 1.5  2002/08/29 20:29:05  radek
- fixed previous log message: mistake

Revision 1.4  2002/08/29 20:25:54  radek
- version 3.13, builds now

Revision 1.3  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.2  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.1  2002/03/25 14:26:41  misiek
- initial release (todo: ipv6 support)
